#
# spec file for package sgpio
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           sgpio
Url:            http://sources.redhat.com/lvm2/wiki/DMRAID_Eventing
Version:        1.2.1
Release:        27.3
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Base
Summary:        SGPIO captive backplane tool
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-cflags.diff
Patch1:         sgpio_0.10.patch
Patch2:         sgpio-make.patch
BuildRequires:  dos2unix

%description
Serial General Purpose Input Output (SGPIO) is a communication method
used between a main board and a variety of internal and external hard
disk drive bay enclosures. This utility can be used to control LEDs in
an enclosure. For more information about SGPIO, please consult the
SFF-8485 Specification.



Authors:
--------
    Eric R. Hall <Eric.R.Hall@intel.com>

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
echo -e "#!/bin/bash\n`which %__cc` \"\$@\"" >gcc
chmod 755 gcc
export PATH=`pwd`:$PATH

make CFLAGS="$RPM_OPT_FLAGS"
gzip sgpio.1
# strip the binary
strip sgpio
# fix documentation files
dos2unix README LICENSE_GPL
chmod a-x README LICENSE_GPL

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir} 
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0755 sgpio $RPM_BUILD_ROOT/%{_bindir}
install -m 0644 sgpio.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README LICENSE_GPL
%{_bindir}/sgpio
%{_mandir}/man1/sgpio.1.gz

%changelog
* Fri Sep 30 2011 uli@suse.com
- cross-build workaround: fake gcc script to work around build system
  not honoring CC
* Wed Jan  7 2009 cmeng@novell.com
- Patch for sgpio.sh installation and README update (bnc #462767)
* Tue Dec  9 2008 cmeng@novell.com
- Get a patch from intel so that SGPIO tool can work in SLES 11
  (bnc #450784)
* Wed Dec  3 2008 bwalle@suse.de
- Update to 1.2.1 to get a new script that can be used with MD.
  The update does not affect existing sgpio app. (bnc #450037)
* Mon Oct  6 2008 bwalle@suse.de
- initial package (FATE#304217)
